curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/43590001161200000060900002156347693070000000010/simulate-conclude' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"type": "BANKSLIP"
}'
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/69577abe-3867-4e0b-85ee-21aa6bc9db9b/simulate-conclude' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"type": "PIX"
}'
{
"correlationId": "68757f64-486c-41dc-b036-4e8cb5e62576",
"referenceId": "sim-00000215634",
"amount": 150.00,
"source": "PCR",
"date": "2025-07-05T13:30:15Z",
"paymentDate": "2025-07-05T13:30:15Z",
"issuer": {
"ispb": "38224857",
"code": "435",
"branch": "0001",
"agency": "0001",
"name": "DELBANK",
"type": "PJ",
"document": "30287697789",
"fantasyName": "DELBANK SIMULADOR"
},
"additionalData": {
"simulator": "DelbankSimulator",
"message": "Pagamento de boleto simulado em ambiente de homologação",
"bankAccount": "29823",
"correlationId": "68757f64-486c-41dc-b036-4e8cb5e62576",
"ourNumber": "00000215634",
"barCode": "43596930700000000100001112000000600000215634",
"digitableLine": "43590001161200000060900002156347693070000000010"
}
}
{
"title": "Please refer to the errors property for additional details.",
"errors": ["Tipo de pagamento inválido"]
}
Boleto
Simular pagamento de boleto
Simule a conclusão de um pagamento de boleto no ambiente sandbox.
POST
/
baas
/
v1
/
charges
/
{id}
/
simulate-conclude
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/43590001161200000060900002156347693070000000010/simulate-conclude' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"type": "BANKSLIP"
}'
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/69577abe-3867-4e0b-85ee-21aa6bc9db9b/simulate-conclude' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"type": "PIX"
}'
{
"correlationId": "68757f64-486c-41dc-b036-4e8cb5e62576",
"referenceId": "sim-00000215634",
"amount": 150.00,
"source": "PCR",
"date": "2025-07-05T13:30:15Z",
"paymentDate": "2025-07-05T13:30:15Z",
"issuer": {
"ispb": "38224857",
"code": "435",
"branch": "0001",
"agency": "0001",
"name": "DELBANK",
"type": "PJ",
"document": "30287697789",
"fantasyName": "DELBANK SIMULADOR"
},
"additionalData": {
"simulator": "DelbankSimulator",
"message": "Pagamento de boleto simulado em ambiente de homologação",
"bankAccount": "29823",
"correlationId": "68757f64-486c-41dc-b036-4e8cb5e62576",
"ourNumber": "00000215634",
"barCode": "43596930700000000100001112000000600000215634",
"digitableLine": "43590001161200000060900002156347693070000000010"
}
}
{
"title": "Please refer to the errors property for additional details.",
"errors": ["Tipo de pagamento inválido"]
}
Disponível apenas no ambiente sandbox (
apisandbox.delbank.com.br). Não existe em produção.Para o passo a passo completo, veja o guia Simular Pagamento.
Headers
string
required
Sua API key.
string
required
Número da conta Delfinance.
Path
string
required
Identificador da cobrança. Para
type: BANKSLIP, use a linha digitável (digitableLine) ou o código de barras (barCode). Para type: PIX, use o correlationId do boleto.Body
string
required
Tipo de simulação. Valores aceitos:
BANKSLIP ou PIX.Response
string
GUID do boleto simulado.
string
Identificador interno da simulação.
number
Valor simulado do pagamento.
string
Origem do pagamento simulado (ex:
"PCR").string
Data/hora da simulação em ISO 8601.
string
Data/hora do pagamento simulado em ISO 8601.
object
Dados da instituição pagadora simulada.
object
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/43590001161200000060900002156347693070000000010/simulate-conclude' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"type": "BANKSLIP"
}'
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/69577abe-3867-4e0b-85ee-21aa6bc9db9b/simulate-conclude' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"type": "PIX"
}'
{
"correlationId": "68757f64-486c-41dc-b036-4e8cb5e62576",
"referenceId": "sim-00000215634",
"amount": 150.00,
"source": "PCR",
"date": "2025-07-05T13:30:15Z",
"paymentDate": "2025-07-05T13:30:15Z",
"issuer": {
"ispb": "38224857",
"code": "435",
"branch": "0001",
"agency": "0001",
"name": "DELBANK",
"type": "PJ",
"document": "30287697789",
"fantasyName": "DELBANK SIMULADOR"
},
"additionalData": {
"simulator": "DelbankSimulator",
"message": "Pagamento de boleto simulado em ambiente de homologação",
"bankAccount": "29823",
"correlationId": "68757f64-486c-41dc-b036-4e8cb5e62576",
"ourNumber": "00000215634",
"barCode": "43596930700000000100001112000000600000215634",
"digitableLine": "43590001161200000060900002156347693070000000010"
}
}
{
"title": "Please refer to the errors property for additional details.",
"errors": ["Tipo de pagamento inválido"]
}
⌘I

